Run of multiarch-fixes for node-request-promise-core

Try this locally (using the lintian-brush package):

debcheckout node-request-promise-core
cd node-request-promise-core
apply-multiarch-hints
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
[2021-05-09 00:05:56] Running ['apply-multiarch-hints']
[2021-05-09 00:05:58] Opening branch at https://salsa.debian.org/js-team/node-request-promise-core.git/,branch=master
[2021-05-09 00:06:00] Cached branch URL https://janitor.debian.net/git/node-request-promise-core,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/node-request-promise-core/".
[2021-05-09 00:06:01] 3% (50/116)
[2021-05-09 00:06:01] Total 188 (delta 86), reused 143 (delta 59), pack-reused 0
[2021-05-09 00:06:02] Total 13 (delta 3), reused 6 (delta 0), pack-reused 0
[2021-05-09 00:06:03] Total 25 (delta 6), reused 18 (delta 3), pack-reused 0
[2021-05-09 00:06:03] Workspace ready - starting.
[2021-05-09 00:06:03] Assuming changelog does not need to be updated, since changelog entries are usually updated in separate commits. Specify --update-changelog to override.
[2021-05-09 00:06:05] node-request-promise-core: Add Multi-Arch: foreign.
[2021-05-09 00:06:06] Opened schroot session unstable-amd64-sbuild-c06741ea-efc4-42eb-8114-835849b2b75a (from unstable-amd64-sbuild)
[2021-05-09 00:06:06] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f30604e8df0>, [functools.partial(<function python_tie_breaker at 0x7f3062922af0>, <GitWorkingTree of /home/janitor/tmp/janitort8303d1u/node-request-promise-core>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-c06741ea-efc4-42eb-8114-835849b2b75a'), <function popcon_tie_breaker at 0x7f3053991d30>]))]
[2021-05-09 00:06:06] Building debian packages, running 'sbuild -A -s -v'.
[2021-05-09 00:09:33] Built ['node-request-promise-core_1.1.4-1~jan+maf1_amd64.changes'].
[2021-05-09 00:09:34] Running lintian
[2021-05-09 00:09:37] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 250, in import_branches_git
    vcs_result_controldir = ControlDir.open(repo_url)
  File "/home/janitor/debian-janitor/breezy/breezy/controldir.py", line 724, in open
    return klass.open_from_transport(t, probers=probers,
  File "/home/janitor/debian-janitor/breezy/breezy/controldir.py", line 754, in open_from_transport
    transport, format = _mod_transport.do_catching_redirections(
  File "/home/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
    return action(transport)
  File "/home/janitor/debian-janitor/breezy/breezy/controldir.py", line 742, in find_format
    return transport, ControlDirFormat.find_format(transport,
  File "/home/janitor/debian-janitor/breezy/breezy/controldir.py", line 1169, in find_format
    raise errors.NotBranchError(path=transport.base)
breezy.errors.NotBranchError: Not a branch: "https://janitor.debian.net/git/node-request-promise-core/".

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 233, in run_worker
    import_branches(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 314, in import_branches
    import_branches_git(
  File "/home/janitor/debian-janitor/janitor/vcs.py", line 252, in import_branches_git
    vcs_result_controldir = ControlDir.create(
  File "/home/janitor/debian-janitor/breezy/breezy/controldir.py", line 874, in create
    t.ensure_base()
  File "/home/janitor/debian-janitor/breezy/breezy/transport/__init__.py", line 416, in ensure_base
    self.mkdir('.', mode=mode)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 2247, in mkdir
    raise errors.TransportNotPossible('http does not support mkdir()')
breezy.errors.TransportNotPossible: Transport operation not possible: http does not support mkdir() 

Summary

Multi-arch fixes.

Full worker log Full build log